Page MenuHomePhabricator

Home and End keys work on page level in empty ContentTranslation sections in Firefox
Closed, ResolvedPublic

Description

To reproduce:

  • Start a translation of a long article from English to Hebrew, for example Khordha district.
  • Click a paragraph.
  • Without typing any text, click End.

Observed: the page scrolls to the bottom.
Expected: nothing should happen, because the cursor is already in the end of the (empty) line.

I tested this on Fedora. It happens in Firefox, but not in Chrome.

Related Objects

StatusAssignedTask
ResolvedAmire80
ResolvedNone
ResolvedAmire80
InvalidNone
OpenAmire80
DeclinedNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
OpenNone
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPetar.petkovic
ResolvedPginer-WMF
Resolvedsanthosh
Resolveddchan
Resolvedsanthosh
Resolvedsanthosh
ResolvedNikerabbit
Opensanthosh
Resolvedsanthosh
ResolvedPginer-WMF
OpenNone
ResolvedPginer-WMF
InvalidNone
ResolvedPetar.petkovic
Resolvedsanthosh
Resolvedsanthosh

Event Timeline

Amire80 created this task.Jul 5 2015, 7:55 PM
Amire80 raised the priority of this task from to Medium.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2015, 7:55 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:58 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 8:17 AM
Amire80 closed this task as Resolved.Sep 3 2018, 4:53 PM
Amire80 claimed this task.

Doesn't happen in CX2.